summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
Diffstat (limited to 'ci')
-rwxr-xr-xci/build_rpm/build_rpms_docker.sh1
-rwxr-xr-xci/deploy/deploy.sh7
2 files changed, 7 insertions, 1 deletions
diff --git a/ci/build_rpm/build_rpms_docker.sh b/ci/build_rpm/build_rpms_docker.sh
index 62993042..4434157a 100755
--- a/ci/build_rpm/build_rpms_docker.sh
+++ b/ci/build_rpm/build_rpms_docker.sh
@@ -52,5 +52,6 @@ do
done
cd ..
mv target/el7/noarch/installdaisy_el7_noarch.bin target/el7/noarch/opnfv-${OPNFV_ARTIFACT_VERSION}.bin
+chmod +x target/el7/noarch/opnfv-${OPNFV_ARTIFACT_VERSION}.bin
cp target/el7/noarch/opnfv-${OPNFV_ARTIFACT_VERSION}.bin $rpm_output_dir
exit $rc
diff --git a/ci/deploy/deploy.sh b/ci/deploy/deploy.sh
index e4570329..c3b78055 100755
--- a/ci/deploy/deploy.sh
+++ b/ci/deploy/deploy.sh
@@ -132,7 +132,7 @@ if [ -z $BASE_PATH ] || [ ! -d $BASE_PATH ] || [ -z LAB_NAME ] || [ -z $POD_NAME
exit 0
fi
-BRIDGE={BRIDGE:-pxebr}
+BRIDGE=${BRIDGE:-pxebr}
# read parameters from lab configuration file
DHA_CONF=$BASE_PATH/labs/$LAB_NAME/$POD_NAME/daisy/config/deploy.yml
@@ -187,6 +187,11 @@ if [ $DRY_RUN -eq 1 ]; then
exit 1
fi
+if [ ! -x ${WORKSPACE}/opnfv.bin ]; then
+ echo "opnfv.bin does not exist in WORKSPACE or is not executable, exit."
+ exit 1
+fi
+
test -d ${VM_STORAGE} || mkdir -p ${VM_STORAGE}
function create_node